[SciPy-user] failed easy_install on OSX

Dav Clark dav@alum.mit....
Sat Feb 7 16:13:27 CST 2009


Hi,

I found a small bug (more with OSX than with SciPy) but worth  
mentioning.

If you upgrade setuptools on OS X without changing your path, for some  
reason /usr/bin/easy_install (system setuptools 0.6c7) will remain  
ahead of /usr/local/bin/easy_install (your current install).  Then, if  
you try to do an easy_install of scipy, it fails because setuptools  
0.6c7 doesn't provide the proper fcompiler attribute.

Two solutions:

1) download and run setup.py manually - this will use the most recent  
setuptools via python

or

2) Change your PATH so that /usr/local/bin comes before /usr/bin.  Why  
this isn't the case already, I have no idea.  I guess it's apples way  
of insulating casual users from hackers like us.

I would like to put this advice here:

http://www.scipy.org/Installing_SciPy/Mac_OS_X

But I don't have permission.  If you want to give me permission, I am  
DavClark on the scipy.org wiki.

Cheers,
Dav



More information about the SciPy-user mailing list